# Package org.gradle.api.publish.maven

## Package org.gradle.api.publish.maven Description

Types that deal with publishing in the Maven format.

since:
  1.4

@Incubating

- Interface Summary
  Interface | Description
  --- | ---
  MavenArtifact | An artifact published as part of a MavenPublication.
  MavenArtifactSet | A Collection of MavenArtifacts to be included in a MavenPublication.
  MavenDependency | A dependency declared as part of an MavenPublication.
  MavenPom | The POM for a Maven publication.
  MavenPublication | A `MavenPublication` is the representation/configuration of how Gradle should publish something in Maven format.

- Exception Summary
  Exception | Description
  --- | ---
  InvalidMavenPublicationException | Thrown when attempting to publish with an invalid MavenPublication.